Returns all referral codes and their activation status.
curl --request GET \
--url https://api.strait.dev/v1/referrals \
--header 'Authorization: Bearer <token>'[
{
"created_at": "2023-11-07T05:31:56Z",
"credit_microusd": 123,
"id": "<string>",
"referral_code": "<string>",
"referrer_org_id": "<string>",
"status": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"referred_email": "<string>",
"referred_org_id": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
curl --request GET \
--url https://api.strait.dev/v1/referrals \
--header 'Authorization: Bearer <token>'[
{
"created_at": "2023-11-07T05:31:56Z",
"credit_microusd": 123,
"id": "<string>",
"referral_code": "<string>",
"referrer_org_id": "<string>",
"status": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"referred_email": "<string>",
"referred_org_id": "<string>"
}
]